package com.meeting.demo.dependency;

import com.huawei.hwmconf.presentation.dependency.menu.ISlideListMenu;
import com.huawei.hwmconf.presentation.dependency.menu.buildin.slidelist.BreakoutConfMenu;
import com.huawei.hwmconf.presentation.dependency.menu.buildin.slidelist.RotateScreenMenu;
import com.huawei.hwmconf.presentation.dependency.menu.v2.ISlideListMenuStrategy;
import com.meeting.demo.dependency.menu.slidelist.CustomSlideListMenu;

import java.util.ArrayList;
import java.util.List;

public class CustomSlideListHandle implements ISlideListMenuStrategy {
    @Override
    public List<ISlideListMenu> buildMenuItems() {
        List<ISlideListMenu> confMenus = new ArrayList<>();
        confMenus.add(new CustomSlideListMenu());
        confMenus.add(new BreakoutConfMenu());
        confMenus.add(new RotateScreenMenu());
        return confMenus;
    }

}